Bullet = class("Bullet", {
    x = winWidth+100, y = 0,
    size = 15, speed = 450, dead = false
})

function Bullet:init()
    self.y = 4*winHeight/5-math.floor(love.math.random(0,2.99))*45
end

function Bullet:draw()

    love.graphics.setColor(1,0.15,0.15)
    love.graphics.circle("fill", self.x, self.y, self.size)
    love.graphics.setColor(1,1,1)

end

function Bullet:update(dt)

    self.x = self.x - self.speed*dt

    if self.x < 0 then
        self.dead = true
    end
    
end

function Bullet:hit(obj)

    if obj.x + obj.width/2 + 0.81*self.size > self.x
     and obj.x - obj.width/2 - 0.81*self.size < self.x
     and obj.y + 0.81*self.size > self.y
     and obj.y - obj.height - 0.81*self.size < self.y then
        return true
    else
        return false
    end

end