Player = class("Player", {
    x = winWidth/5, y = 4*winHeight/5,
    width = 60, height = 120,
    morph = 0.25, speed = 10,
    state = "normal"
})

function Player:draw()

    love.graphics.setColor(1,1,0)
    love.graphics.rectangle("fill", self.x - self.width/2, self.y - self.height, self.width, self.height)
    love.graphics.setColor(1,1,1)
    
end

function Player:update(dt)

    if player.state == "crouch" then
        self.width = math.floor(Player.width * (1 + 1.5*self.morph))
        self.height = math.floor(Player.height * (1 - 1.5*self.morph))
        self.y = Player.y
        counter = counter + dt

    elseif player.state == "jump" then
        self.width = math.floor(Player.width * (1 + self.morph))
        self.height = math.floor(Player.height * (1 - self.morph))
        self.y = Player.y - Player.height*2*self.morph
        counter = counter + dt

    else
        self.width = Player.width
        self.height = Player.height
        self.y = Player.y
    end

    if counter > 0.36 then
        self.state = "normal"
    end

end